# Flow per strike `GET` `https://api.unusualwhales.com/api/stock/{ticker}/flow-per-strike` Returns the option flow per strike for a given trading day. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `call_premium` | Market General Call Premium | The sum of the premium of all the call transactions that executed. | | `call_premium_ask_side` | Market General Call Premium Ask Side | The sum of the premium of all the call transactions that executed on the ask side. | | `call_premium_bid_side` | Market General Call Premium Bid Side | The sum of the premium of all the call transactions that executed on the bid side. | | `call_trades` | Market General Call Trades | The amount of call transactions that executed. | | `call_volume` | Market General Call Volume | The sum of the size of all the call transactions that executed. | | `call_volume_ask_side` | Market General Call Volume Ask Side | The sum of the size of all the call transactions that executed on the ask side. | | `call_volume_bid_side` | Market General Call Volume Bid Side | The sum of the size of all the call transactions that executed on the bid side. | | `date` | Market General Trading day | A trading date in ISO format. | | `put_premium` | Market General Put Premium | The sum of the premium of all the put transactions that executed. | | `put_premium_ask_side` | Market General Put Premium Ask Side | The sum of the premium of all the put transactions that executed on the ask side. | | `put_premium_bid_side` | Market General Put Premium Bid Side | The sum of the premium of all the put transactions that executed on the bid side. | | `put_trades` | Market General Put Trades | The amount of put transactions that executed. | | `put_volume` | Market General Put Volume | The sum of the size of all the put transactions that executed. | | `put_volume_ask_side` | Market General Put Volume Ask Side | The sum of the size of all the put transactions that executed on the ask side. | | `put_volume_bid_side` | Market General Put Volume Bid Side | The sum of the size of all the put transactions that executed on the bid side. | | `strike` | Option Contract Strike | The contract strike. | | `ticker` | Stock Ticker | The stock ticker. | | `timestamp` | General UTC Timestamp | A UTC timestamp. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/flow-per-strike" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/flow-per-strike", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json [ { "call_premium": "9908777.0", "call_premium_ask_side": "5037703.0", "call_premium_bid_side": "4055973.0", "call_trades": 6338, "call_volume": 40385, "call_volume_ask_side": 20145, "call_volume_bid_side": 16923, "date": "2024-01-22", "put_premium": "2746872.0", "put_premium_ask_side": "799873.0", "put_premium_bid_side": "1614848.0", "put_trades": 841, "put_volume": 4306, "put_volume_ask_side": 1398, "put_volume_bid_side": 2323, "strike": "70.0", "ticker": "BABA", "timestamp": "2023-09-07T09:30:00-04:00" }, { "call_premium": "4208428.0", "call_premium_ask_side": "1543361.0", "call_premium_bid_side": "1589925.0", "call_trades": 2875, "call_volume": 28218, "call_volume_ask_side": 14048, "call_volume_bid_side": 10418, "date": "2024-01-22", "put_premium": "1996364.0", "put_premium_ask_side": "432005.0", "put_premium_bid_side": "1317894.0", "put_trades": 323, "put_volume": 2270, "put_volume_ask_side": 482, "put_volume_bid_side": 1545, "strike": "75.0", "ticker": "BABA", "timestamp": "2023-09-07T09:29:25-04:00" } ] ```